version: '3'

services:
  otlpdemo_instana:
    image: icr.io/instana/agent
    env_file:
      - .env.instana
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /etc:/host/etc:ro
      - ./configs/instana/configuration.yaml:/root/configuration.yaml:ro
    ports:
      - 4318:4318
      - 4317:4317
    networks:
      - otlpdemo-network

  otlpdemo_app:
    image: registry.gitlab.com/softbutterfly/open-source/instana-demo-java-graalvm:latest
    build:
      context: .
      dockerfile: ./Dockerfile
      args:
      - OTEL_EXPORTER_OTLP_PROTOCOL=http/protobuf
      - OTEL_EXPORTER_OTLP_ENDPOINT=http://otlpdemo_instana:4318
    env_file:
      - .env
    # ports:
    #   - 8080:8080
    links:
      - otlpdemo_instana:otlpdemo_instana
    networks:
      - otlpdemo-network

networks:
  otlpdemo-network:
    driver: bridge
